local hcTk = HCToolkit

local encounterStartFns = {
    [2052] = hcTk.MaidenEncounterStart, -- Maiden
    [2038] = hcTk.AvatarEncounterStart, -- Avatar
    [2051] = hcTk.KilJaedenEncounterStart, -- KilJaeden
    [2092] = hcTk.ArgusEncounterStart, -- Argus
}
local encounterEndFns = {
    [2052] = hcTk.MaidenEncounterEnd, -- Maiden
    [2038] = hcTk.AvatarEncounterEnd, -- Avatar
    [2051] = hcTk.KilJaedenEncounterEnd, -- KilJaeden
    [2092] = hcTk.ArgusEncounterEnd, -- Argus
}
local combatLogFns = {
    [2052] = hcTk.MaidenCombatLog, -- Maiden
    [2038] = hcTk.AvatarCombatLog, -- Avatar
    [2051] = hcTk.KilJaedenCombatLog, -- KilJaeden
    [2092] = hcTk.ArgusCombatLog, -- Argus
}

function hcTk.EncounterInit()
    hcTk.Encounter = {}
    hcTk.EncounterId = nil
end

function hcTk.RouteEncounterStart(encounterId)
    if (encounterStartFns[encounterId] ~= nil) then
        encounterStartFns[encounterId]()
    end
end

function hcTk.RouteEncounterEnd(encounterId)
    if (encounterEndFns[encounterId] ~= nil) then
        encounterEndFns[encounterId]()
    end
end

function hcTk.RouteCombatLog(encounterId, ...)
    if (combatLogFns[encounterId] ~= nil) then
        combatLogFns[encounterId](...)
    end
end